News
Get news articles for markets with market impact summaries
POST
appIdheader
x-app-id<token>Your application ID. Required on app-tier and user-tier routes. Omitted on routes that authenticate with x-app-api-key only.
application/json- body
venueMarketIds?array<>Items
items <= 10venueEventIds?array<>Items
items <= 10customQuery?stringLength
1 <= length <= 160tbs?stringLength
1 <= length <= 128limit?integerRange
1 <= value <= 5200
application/json- response
results*array<>curl -X POST 'https://api.t.sufwankhalid.com/news-feed/market-news' \ -H 'Content-Type: application/json' \ -d '{}'Example Response
{ "results": [ { "venueMarketId": "string", "venueEventId": "string", "question": "string", "eventTitle": "string", "category": "string", "searchQuery": "string", "timeRange": "string", "timeRangeLabel": "string", "articles": [ { "title": "string", "url": "string", "snippet": "string", "source": "string", "imageUrl": "string", "publishedAt": "string", "summary": "string", "relevanceScore": 0 } ] } ]}